Subject: Re: bug#20403: Format of NEWS (navigating in it)

From: Stefan Kangas <[email-masked]>
Date: Mon, 30 Sep 2019 02:24:36 +0200

"Ulrich Windl" <[email-masked]> writes:

> Hi!
>
> As I was not running the latest version of Emacs, I started to read the NEWS file backwards (maybe life is just boring otherwise), beginning at the Emacs version I had before.
> (while doing that the ghost of RMS appeared and asked: "Why don't you run the latest version when it's free?" ;-)
> OK, serious again: I realized that when reading backwards it's rather hard to
> find out when you are done, because even that it's outline mode there is NOT ONE
> section per Emacs release (here 24.4) (with sub-sections), but multiple. To be
> concrete, the lop-level headings (when reading backwards) are:
> * Changes in Emacs 24.4 on Non-Free Operating Systems
> * Lisp Changes in Emacs 24.4
> * Incompatible Lisp Changes in Emacs 24.4
> * New Modes and Packages in Emacs 24.4
> * Changes in Specialized Modes and Packages in Emacs 24.4
> * Editing Changes in Emacs 24.4
> * Changes in Emacs 24.4
> (here I thought I'm done)
> * Startup Changes in Emacs 24.4
> * Installation Changes in Emacs 24.4
>
> I know it's all a long tradition, but I'd prefer to have one major section per
> release. While re-discovering outline-mode, I also realized that C-c C-f
> [<outline-forward-same-level>] (and C-c C-b) have to be used twice to get to the
> next heading if an ASCII FF (form feed) (plus newline) character preceeds the
> heading.
>
> Is this the way it should be?

I think this is the way it should be, yes.  It helps the user find
his/her way around the file.  Also note that these sections can
repeat, for example in etc/NEWS.24 we have:

* Changes in Emacs 24.5
* Changes in Emacs 24.4
* Changes in Emacs 24.3
* Changes in Emacs 24.2
* Changes in Emacs 24.1

Also, adding a new level means that each item would be preceded with
four stars in favour of three.

Are there any other opinions here?

Best regards,
Stefan Kangas